Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 594967 - Dodging Diamonds runs without viewable UI
Summary: Dodging Diamonds runs without viewable UI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-22 10:24 UTC by Zoltan Hoppar
Modified: 2018-04-11 09:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:28:16 UTC
Type: ---


Attachments (Terms of Use)
The asked log files. (157.58 KB, application/x-gzip)
2010-06-02 13:31 UTC, Zoltan Hoppar
no flags Details

Description Zoltan Hoppar 2010-05-22 10:24:48 UTC
Description of problem:
When program starts there are only vertical stripes, flickering, and no screen.

Version-Release number of selected component (if applicable):
Both in F12 and F13 rpm too.

How reproducible:
Always

Steps to Reproduce:
1. Install
2. Run
3. Voila
  
Actual results:
Black screen with vertical stripes, flickering, no graphics. However, the game starts, because I could move between the menu, and reflects to the keyboard, and music is audible, but no screen.

Expected results:
Precise start, with screen. 

Additional info:
VGA: Intel 945 GM GMA
platform microcode: firmware: requesting intel-ucode/06-0e-0c

Comment 1 Hans de Goede 2010-05-22 13:46:50 UTC
This is likely an isue with your grahpics driver, it works fine for me.

Try creating / editing ~/.dd2rc and put the following in there:
BEGIN
SOUND=3
CONTROL_1=0
CONTROL_2=0
FULL_SCREEN=0
END

(including the BEGIN and END, that is part of the files format).

Comment 2 Zoltan Hoppar 2010-05-22 16:46:33 UTC
(In reply to comment #1)
> This is likely an isue with your grahpics driver, it works fine for me.
> 
> Try creating / editing ~/.dd2rc and put the following in there:
> BEGIN
> SOUND=3
> CONTROL_1=0
> CONTROL_2=0
> FULL_SCREEN=0
> END
> 
> (including the BEGIN and END, that is part of the files format).    

 I have disabled the full screen, as you described, now I have the UI, but in micro sized window. No full screen :(
Maybe this tiny little program has discovered some missing feature or an error in grfx driver? How can I detect the leak in other component? Doesn't affects to this that is a BETA stated software (dd2-0.2.2-5.fc12.i686)?
However, I will try the older rpm too, I hope it works - just for a tiny piece of retro feeling. Thx for packaged this.

Comment 3 Hans de Goede 2010-05-22 20:57:05 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > This is likely an isue with your grahpics driver, it works fine for me.
> > 
> > Try creating / editing ~/.dd2rc and put the following in there:
> > BEGIN
> > SOUND=3
> > CONTROL_1=0
> > CONTROL_2=0
> > FULL_SCREEN=0
> > END
> > 
> > (including the BEGIN and END, that is part of the files format).    
> 
>  I have disabled the full screen, as you described, now I have the UI, but in
> micro sized window. No full screen :(

Ok, then this likely is an issue with the Intel driver, changing component.

Regards,

Hans

Comment 4 Matěj Cepl 2010-05-24 14:13:54 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 5 Zoltan Hoppar 2010-06-02 13:31:56 UTC
Created attachment 419034 [details]
The asked log files.

Comment 6 Zoltan Hoppar 2010-06-02 13:40:50 UTC
I have added the asked logfiles in a gzipped package. I haven't modified the xorg.conf, so there are no xorg.conf as it's default. Currently I'm updated my system to F13, but the problem still exists, and only one thing changed. The game starts in full screen, but the whole screen freezing out, but I could hear the sounds then I'm try to move inside the menu (I could exit with ESC, but that's all). I hope this helps.

Comment 7 Bug Zapper 2010-11-03 14:25:00 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-03 14:28:16 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.